// PR_14_20.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <iostream>
#include <conio.h>

using namespace std;



int _tmain(int argc, _TCHAR* argv[])
{
 float a=2;
   float b=0;
   float c=-2;
   float wynik;
   int blad=0; //definicja zmiennej wyjątku wartość nie jest istotna
   float blad_f;
   try {
      for(b=5;b>-5;b--) {
         cout<<"a="<<a<<" b="<<b;
         if (b==0)
            throw blad;
         else
            wynik=a/b;
         cout<<" a/b="<<wynik<<"\n";
      }
   }
   catch(int) {
      cout<<" Błąd - dzielenie przez zero!!"<<"\n";
   }
   cout<<"Po catch program działa dalej, ale pętla została przerwana."<<"\n";
   getch();
   return 0;

	return 0;
}

